### A free/open-source library for quantitative finance

Public Member Functions
AnalyticAmericanMargrabeEngine Class Reference

Analytic engine for American Margrabe option. More...

`#include <ql/experimental/exoticoptions/analyticamericanmargrabeengine.hpp>`

Inheritance diagram for AnalyticAmericanMargrabeEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticAmericanMargrabeEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process1, const boost::shared_ptr< GeneralizedBlackScholesProcess > &process2, Real correlation)
void | calculate () const

## Detailed Description

Analytic engine for American Margrabe option.

This class implements formulae from "The Value of an American Option to Exchange One Asset for Another", W. Margrabe, Journal of Finance, 33, 177-86.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.